# Administration Reference

## fs quota

Purpose

Displays the percentage of quota used in the volume containing a directory or file

Synopsis

    fs quota [-path <dir/file path>+]  [-help]

    fs q [-p <dir/file path>+]  [-h]

Description

The fs quota command displays the percent of quota consumed in the volume that contains each specified directory or file.

To display more detailed information about the volume and the partition it resides on, use the fs examine and fs listquota commands.

To set volume quota, use the fs setquota or fs setvol command.

Options

-path
  Names each file or directory for which to display the quota consumed in its parent volume. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output reports the percent of volume quota used, in the following format:

       percent% of quota used.

Examples

The following command lists the percent quota used of the volume housing the current working directory:

       % fs quota
       17% of quota used.

The following command lists the percent quota used of both the volume housing the current working directory's parent directory and the volume housing the directory /afs/abc.com/usr/smith:

       % fs quota -path  ..  /afs/abc.com/usr/smith
       43% of quota used.
       92% of quota used.

Privilege Required

The issuer must have the l (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

Related Information

fs examine

fs listquota

fs setquota

fs setvol

© IBM Corporation 2000. All Rights Reserved